Subject: RE: [Speechsc] Protocol proposal for SPEECHSC

From: "Brian Wyld" <[email-masked]>
Date: Tue, 15 Jul 2003 13:40:24 +0200

Hi Rajiv,

In fact this was a deliberate edit, as I had thought that we had decided that SIP was primarily a session control protocol and not a resource control protocol -> hence the resource control section was just "need to add a message  to do X Y Z" and hence not helpful.

Given the direction we're heading here with Sarvi's latest submission, I think the doc doesn't really need this part? 

Brian

  -----Message d'origine-----
  De : Rajiv Dharmadhikari [mailto:[email-masked]]
  Envoyé : Saturday, June 28, 2003 02:46
  À : [email-masked]; Sarvi Shanmugham
  Cc : Eric Burger; [email-masked]
  Objet : RE: [Speechsc] Protocol proposal for SPEECHSC

  Brian,

  Resource control section on SIP is missing in this version. I provided my updates last week. I hope you get chance to include that in the final version.

  Thanks,

  -Rajiv
    -----Original Message----- 
    From: Brian Wyld [mailto:[email-masked]] 
    Sent: Fri 6/27/2003 2:17 PM 
    To: Rajiv Dharmadhikari; Sarvi Shanmugham 
    Cc: Eric Burger; [email-masked] 
    Subject: RE: [Speechsc] Protocol proposal for SPEECHSC

    Hi all,

    Attached you have an updated draft that I propose to submit as 02 for the next IETF. Essentially its the re-worked doc, with a very short conclusion..... 

    Major missing part is the web services vs classic session control section we agreed to add in the last conf call.....

    Brian

      -----Message d'origine-----
      De : Rajiv Dharmadhikari [mailto:[email-masked]]
      Envoyé : Friday, June 20, 2003 03:23
      À : [email-masked]; Sarvi Shanmugham
      Cc : Eric Burger; [email-masked]
      Objet : RE: [Speechsc] Protocol proposal for SPEECHSC

      Brian,

      Here is the updated protocol comparison document with my updates to the SIP section. Session control and resource control sections have been updated as per last conference call.

      Let me know if any changes are needed.

      -Rajiv
        -----Original Message-----
        From: Brian Wyld [mailto:[email-masked]]
        Sent: Thursday, June 19, 2003 1:58 AM
        To: Sarvi Shanmugham
        Cc: Eric Burger; [email-masked]
        Subject: RE: [Speechsc] Protocol proposal for SPEECHSC

        Hi Sarvi,

        No, I think the MRCP section is ok.

        Eric, I have no other updates yet for the protocol comparison document....

        Please note I am on holiday (real holiday, no computers) 28th June until 15th July so won't be able to do any updates after 28th June.

        And finally, I'm afraid I won't be at IETF Vienna (budget, time constraints). I hope you manage to get enough folk to make progress on Sarvi's proposal....

        Brian

          -----Message d'origine-----
          De : Sarvi Shanmugham [mailto:[email-masked]]
          Envoyé : Wednesday, June 11, 2003 00:12
          À : [email-masked]
          Cc : Eric Burger; [email-masked]
          Objet : Re: [Speechsc] Protocol proposal for SPEECHSC

          Hi Brian,
                      Does my section need updation(MRCP evalutation), if so let me know and I will get back o you with the edits by the end of next week.

          Sarvi

          Brian Wyld wrote:

Ok, if I have time I will munge something thru a web services toolset and
produce an alternative proposal based on WS.....

Then again, maybe not.

To be frank, if you all want SIP, and I don't see many other viewpoints
here, then I'll go with your experience. As long as we can model all the
different session viewpoints (as already discussed here) that are needed for
usage of the resources then that's fine with me. (pointers to a good open
source java SIP stack gratefully received....)

So, is anyone going to update their sections for the protocol comparison
document before the 30th June or not?

Brian (another hapless victem crushed by the SIP juggernaught)

[Brian Wyld] [[email-masked]]
[Directeur General R&D]
[Eloquant SA] [+33 476 77 46 92] [www.eloquant.com]
[advanced solutions for telecoms and IT services]

  -----Message d'origine-----
De : Eric Burger [mailto:[email-masked]]
Envoyé : Tuesday, June 10, 2003 21:30
À : [email-masked]; [email-masked]
Objet : RE: [Speechsc] Protocol proposal for SPEECHSC

    -----Original Message----- From: Brian Wyld
      [mailto:[email-masked]]
    Sent: Tue, June 10, 2003 12:16 PM
      [snip]

    Sorry, but I still think that it's easier to specify the media setup
specifically (maybe by cut-n-paste from RTSP) rather than
suck in the entire
SIP protocol.
      I would be very hesitant to create yet another "looks like
SIP/RTSP, smells like SIP/RTSP, operates like SIP/RTSP, but has a
different life and future than SIP/RTSP."

I'd much rather leverage the 974 engineer years of work over the
last 6 years put in to SIP than spend 3 engineer years explaining
what is the same and different in a new protocol.  Moreover, I
would not want to find myself wishing I had 500 engineer years of
resources to catch up when something useful gets introduced into
SIP/RTSP that I might want.

SIP is actually pretty good when dealing with small, embedded
implementations.  Most everything is an extension
("Accept/Allow").  You don't even need the list of extensions to
say, "I don't know what you are talking about."  Thus an
SPEECHSC-only implementation can be pretty light.  It is what we
do in the media server world, for example.

    Maybe we should instead specify the use of RTSP as the media
setup agent, as
most folks with MRCP experience will have such an
implementation already and
it is known to serve the needs of mrcp......
      I can go either way.  At this point one could submit a RTSP-based
SPEECHSC protocol proposal, similar to Sarvi's.  Alternately, one
could submit a "these are the reasons RTSP
works/interoperates/easier-to-implement than SIP" draft.

Do be aware that you have until 0900 USA-ET to submit a -00 draft.

    A+

Brian

PS> I note that to achieve an operation MRCP server today, it
is neccessary
to implement very little of RTSP and none of the media state
machinary (no
play, record etc). In fact, only SETUP and TEARDOWN are
really required, and
the 'tunnel message' ANNOUNCE......
      My point above, exactly...

    _______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc